Page MenuHome

Blender Crashes repeatedly when modifying particle system
Closed, ArchivedPublic

Description

System Information
Operating system: Darwin-19.6.0-x86_64-i386-64bit 64 Bits
Graphics card: AMD Radeon Pro 5500M OpenGL Engine ATI Technologies Inc. 4.1 ATI-3.10.18

Blender Version
Broken: version: 2.92.0, branch: master, commit date: 2021-02-24 16:25, hash: rB02948a2cab44
Worked: this was happening on 2.91.x and I downloaded the newest version to see if the issue was resolved. I occasionally get farther through the troubleshooting steps below, but functionally cannot use this scene.

Short description of error
Blender Crashes completely. This has happened when adding a particle system to a plane, modifying an existing particle system on the same plane, or modifying the second particle system if I manage to get through the process of adding it without a crash.

Exact steps for others to reproduce the error
The crash has happened repeatedly and incredibly consistently, though sometimes happens earlier in the steps and sometimes later.

  1. Open attached blender file.
  2. Select object "troublemaker-plane"
  3. change settings in particle system. changing the "emission" number up or down, adjusting the clumping under the "children" section, or adding a force in the viewport (harmonic or wind) can all cause the crash.
  4. if you've done any of the above and no crash, select "troublemaker-plane" and add a new particle system and name it. this has caused a crash.
  5. change the new particle system type to hair, change "render as" to collection" and choose the "tulips" collection. this has caused the crash.
  6. if there continues to be no crash, change the emission number for the new particle system to something reasonable, 20-40. attempt to select and grab one of the particles. this has led to a crash.

at no point has my computer's ram been more than 20-30gb out of 64 used. rarely if ever have the fans been on to indicate that the machine was working hard. the file is quite small (~1mb) and while there may be some optimizing, much larger files (~200mb) are running perfectly using similar particle systems and shaders.

Event Timeline

attached are copied and pasted crash reports from macOS, several on blender 1.91.x and several on 1.92 and a copy of the file described in the troubleshooting steps.

Falk David (filedescriptor) changed the task status from Needs Triage to Needs Information from User.Mar 8 2021, 1:37 PM

I was not able to reproduce this on 2.93 nor 2.92.0 on Linux.

Looking at the crash logs, it seems that the error is related to viewport EEVEE rendering. Try switching to cycles and see if the issue persists to narrow down the problem.

Another thing I noticed is that in your file there is a driver with an invalid expression:


Maybe that could be the issue (less likely). But try removing that driver and see if it helps.

Philipp Oeser (lichtwerk) closed this task as Archived.Mar 24 2021, 3:36 PM

No activity for more than a week. As per the tracker policy we assume the issue is gone and can be closed.

Thanks again for the report. If the problem persists please open a new report with the required information.